AssociationType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Interface AssociationType

All Superinterfaces:
  Serializable, Type

All Known Implementing Classes:
  AnyType, ArrayType, BagType, CollectionType, CustomCollectionType, EntityType, IdentifierBagType, ListType, ManyToOneType, MapType, ObjectType, OneToOneType, OrderedMapType, OrderedSetType, SetType, SortedMapType, SortedSetType, SpecialOneToOneType

    public interface AssociationType

extends Type

A type that represents some kind of association between entities.

See Also:
  `Cascade`

Method Summary
`String` | `getAssociatedEntityName(SessionFactoryImplementor factory)` Get the entity name of the associated entity
`Joinable` | `getAssociatedJoinable(SessionFactoryImplementor factory)` Get the "persister" for this association - a class or collection persister
`ForeignKeyDirection` | `getForeignKeyDirection()` Get the foreign key directionality of this association
`String` | `getLHSPropertyName()` Get the name of a property in the owning entity that provides the join key (null if the identifier)
`String` | `getOnCondition(String alias, SessionFactoryImplementor factory, Map enabledFilters)` Get the "filtering" SQL fragment that is applied in the SQL on clause, in addition to the usual join condition
`String` | `getRHSUniqueKeyPropertyName()` The name of a unique property of the associated entity that provides the join key (null if the identifier of an entity, or key of a collection)
`boolean` | `isAlwaysDirtyChecked()` Do we dirty check this association, even when there are no columns to be updated?
`boolean` | `isEmbeddedInXML()`
`boolean` | `useLHSPrimaryKey()` Is the primary key of the owning entity table to be used in the join?

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getName, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Method Detail

### getForeignKeyDirection

    ForeignKeyDirection getForeignKeyDirection()

  Get the foreign key directionality of this association

### useLHSPrimaryKey

    boolean useLHSPrimaryKey()

  Is the primary key of the owning entity table to be used in the join?

### getLHSPropertyName

    String getLHSPropertyName()

  Get the name of a property in the owning entity that provides the join key (null if the identifier)

### getRHSUniqueKeyPropertyName

    String getRHSUniqueKeyPropertyName()

  The name of a unique property of the associated entity that provides the join key (null if the identifier of an entity, or key of a collection)

### getAssociatedJoinable

    Joinable getAssociatedJoinable(SessionFactoryImplementor factory)
                                   throws MappingException

  Get the "persister" for this association - a class or collection persister

  Throws:
    `MappingException`

### getAssociatedEntityName

    String getAssociatedEntityName(SessionFactoryImplementor factory)
                                   throws MappingException

  Get the entity name of the associated entity

  Throws:
    `MappingException`

### getOnCondition

    String getOnCondition(String alias,
                          SessionFactoryImplementor factory,
                          Map enabledFilters)
                          throws MappingException

  Get the "filtering" SQL fragment that is applied in the SQL on clause, in addition to the usual join condition

  Throws:
    `MappingException`

### isAlwaysDirtyChecked

    boolean isAlwaysDirtyChecked()

  Do we dirty check this association, even when there are no columns to be updated?

### isEmbeddedInXML

    boolean isEmbeddedInXML()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.